Bug 1306250 - squid-4.0.7 is available
squid-4.0.7 is available
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luboš Uhliarik
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 07:19 EST by Upstream Release Monitoring
Modified: 2016-03-01 10:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 10:28:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2016-02-10 07:19:07 EST
Latest upstream release: 4.0.5
Current version/release in rawhide: 3.5.13-1.fc24
URL: ftp://ftp.squid-cache.org/pub/squid/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-02-10 07:20:07 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-Nj4xAU/squid.spec
return code:  22
stdout:
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.5.tar.xz to ./squid-4.0.5.tar.xz
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.5.tar.xz.asc to ./squid-4.0.5.tar.xz.asc

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 2 Upstream Release Monitoring 2016-02-17 07:19:17 EST
Latest upstream release: 4.0.6
Current version/release in rawhide: 3.5.13-1.fc24
URL: ftp://ftp.squid-cache.org/pub/squid/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 3 Upstream Release Monitoring 2016-02-17 07:20:16 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-3aQ7xJ/squid.spec
return code:  22
stdout:
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.6.tar.xz to ./squid-4.0.6.tar.xz
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.6.tar.xz.asc to ./squid-4.0.6.tar.xz.asc

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:02 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:02 --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 4 Account closed by the user 2016-02-17 09:08:05 EST
(In reply to Upstream Release Monitoring from comment #2)

> Latest upstream release: 4.0.6
> Current version/release in rawhide: 3.5.13-1.fc24
> URL: ftp://ftp.squid-cache.org/pub/squid/

Changes to squid-3.5.14 (16 Feb 2016):

        - Bug 4437: Fix Segfault on Certain SSL Handshake Errors
        - Bug 4431: C code is not compiled with CFLAGS
        - Bug 4418: FlexibleArray compile error with GCC 6
        - Bug 4378: assertion failed: DestinationIp.cc:60:
          'checklist->conn() && checklist->conn()->clientConnection != NULL'
        - Fix invalid FTP connection handling on blocked content
        - Fix handling of shared memory left over by Squid crashes or bugs
        - Fix mgr:config report 'qos_flows mark' output
        - Fix compile error in CPU affinity
        - Fix %un logging external ACL username
        - Avoid more certificate validation memory leaks
        - ... and some documentation updates
Comment 5 Upstream Release Monitoring 2016-02-23 19:25:40 EST
Latest upstream release: 4.0.7
Current version/release in rawhide: 3.5.13-1.fc24
URL: ftp://ftp.squid-cache.org/pub/squid/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 6 Upstream Release Monitoring 2016-02-23 19:26:37 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-gFx7m7/squid.spec
return code:  22
stdout:
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.7.tar.xz to ./squid-4.0.7.tar.xz
Getting http://www.squid-cache.org/Versions/v3/3.5/squid-4.0.7.tar.xz.asc to ./squid-4.0.7.tar.xz.asc

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 7 Luboš Uhliarik 2016-03-01 10:28:45 EST
Squid 4.X is still in Beta version, just updated Squid to 3.5.15 in RAWHIDE and F24.

Note You need to log in before you can comment on or make changes to this bug.